Package org.eclipse.swt.internal

# Class WidgetSpy.NonDisposedWidgetTracker

java.lang.Object
org.eclipse.swt.internal.WidgetSpy.NonDisposedWidgetTracker

All Implemented Interfaces:
  `WidgetSpy.WidgetTracker`

Enclosing class:
  `WidgetSpy`

public static class WidgetSpy.NonDisposedWidgetTracker extends Object implements WidgetSpy.WidgetTracker
Default implementation simply collects all created and not disposed widgets

## Constructor Summary

Constructors
Constructor
Description
`NonDisposedWidgetTracker()`

## Method Summary

Modifier and Type
Method
Description
`Map<Widget,Error>`
`getNonDisposedWidgets()`
`void`
`setTrackedTypes(List<Class<? extends Widget>> types)`
`void`
`setTrackingEnabled(boolean enabled)`
`void`
`startTracking()`
`void`
`stopTracking()`
`void`
`widgetCreated(Widget widget)`
`void`
`widgetDisposed(Widget widget)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NonDisposedWidgetTracker

public NonDisposedWidgetTracker()

## Method Details

### widgetCreated

public void widgetCreated(Widget widget)

Specified by:
  `widgetCreated` in interface `WidgetSpy.WidgetTracker`

### widgetDisposed

public void widgetDisposed(Widget widget)

Specified by:
  `widgetDisposed` in interface `WidgetSpy.WidgetTracker`

### getNonDisposedWidgets

public Map<Widget,Error> getNonDisposedWidgets()

### startTracking

public void startTracking()

### stopTracking

public void stopTracking()

### setTrackingEnabled

public void setTrackingEnabled(boolean enabled)

### setTrackedTypes

public void setTrackedTypes(List<Class<? extends Widget>> types)